.TH OKit_ObjTypes 3 "October 2001" Unix Libraries
.SH NAME
 OKit_ObjTypes -  Object Types  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH Generic OKit_Object methods
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectAlloc

.PD 0
.I OKit_Object OKit_ObjectAlloc() ;
.P
.PD 0.PD 0
.P
.PD
Allocates an empty, undefined object.

.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else a new undefined OKit_Object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectCopy

.PD 0
.I OKit_Object OKit_ObjectCopy(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Hard-copies an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to copy
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else a direct, fully recursive copy of the OKit_Object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectClone

.PD 0
.I OKit_Object OKit_ObjectClone(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Clones an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to clone
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else a cloned version of the OKit_Object (flat copy).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectDup

.PD 0
.I OKit_Object OKit_ObjectDup(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
References an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to reference
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_Object was passed as argument
.RE
.RS
.IP "" 0
else the referenced object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectDrop

.PD 0
.I OKit_Object OKit_ObjectDrop(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Dereferences an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to dereference
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_Object was passed as argument
.RE
.RS
.IP "" 0
else the dereferenced object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectFree

.PD 0
.I void OKit_ObjectFree(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Frees and OKit_Object if it is unreferenced.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to free
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectType

.PD 0
.I OKit_Type OKit_ObjectType(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns the type of an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL OKit_Object was passed as argument
.RE
.RS
.IP "" 0
else the numeric identifier for the object type.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectTypeName

.PD 0
.I char * OKit_ObjectTypeName(OKit_Type typ) ;
.P
.PD 0.PD 0
.P
.PD
Returns a name for a numeric type identifier.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ ""
	if an unknown type was given
.RE
.RS
.IP "" 0
else a unique string usable as a name for that type.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectContent

.PD 0
.I void * OKit_ObjectContent(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns a pointer on the content of an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL OKit_Object was passed as argument
.RE
.RS
.IP "" 0
else a pointer to the OKit_Object's content.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectStat

.PD 0
.I unsigned long OKit_ObjectStat(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Prints an OKit_Object's statistics.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL OKit_Object was passed as argument
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectOut

.PD 0
.I unsigned long OKit_ObjectOut(OKit_Object obj, char * out, unsigned long max) ;
.P
.PD 0.PD 0
.P
.PD
Prints an OKit_Object into a character string.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to print
.TP 12 
.I
_ out
	allocated output string (at least max+1 characters)
.TP 12 
.I
_ max
	max number of characters to print
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.TP 12 
_ the maximum number of character needed to print completely the object if 'out' is NULL (max is ignored)
.RE
.RS
.IP "" 0
else the total number of characters printed
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectEqual

.PD 0
.I unsigned char OKit_ObjectEqual(OKit_Object obj, OKit_Object objw) ;
.P
.PD 0.PD 0
.P
.PD
Tests the equality between OKit_Objects.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to test
.TP 12 
.I
_ objw
	reference OKit_Object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL OKit_Object was passed as argument
.TP 12 
.I
_  0
	if the two OKit_Objects were distinct
.TP 12 
.I
_ +1
	if the two OKit_Objects were equal
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectOKit_Strg

.PD 0
.I OKit_Strg OKit_ObjectOKit_Strg(OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns the String representation of an OKit_Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	OKit_Object to print
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else the OKit_Object's String representation.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.I

.I
Below this line, the methods specifications are incomplete.
.I
You must read the source to know the exact behaviour of each function.
.I


.SH OKit_Void object type
.PD 1
.P
.PD
.P
.SS Function OKit_VoidNew

.PD 0
.I OKit_Void OKit_VoidNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_VoidWrap

.PD 0
.I OKit_Object OKit_VoidWrap(OKit_Void vd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ vd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_VoidOut

.PD 0
.I unsigned long OKit_VoidOut(OKit_Void vd, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ vd
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD

.SH OKit_Intg object type
.PD 1
.P
.PD
.P
.SS Function OKit_IntgAlloc

.PD 0
.I OKit_Intg OKit_IntgAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgCopy

.PD 0
.I OKit_Intg OKit_IntgCopy(OKit_Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgClone

.PD 0
.I OKit_Intg OKit_IntgClone(OKit_Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgNew

.PD 0
.I OKit_Intg OKit_IntgNew(long nb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ nb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgWrap

.PD 0
.I OKit_Object OKit_IntgWrap(OKit_Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgOut

.PD 0
.I unsigned long OKit_IntgOut(OKit_Intg in, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_IntgEqual

.PD 0
.I unsigned char OKit_IntgEqual(OKit_Intg in, OKit_Intg inw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.TP 12 
.I
_ inw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD

.SH OKit_Fltp object type
.PD 1
.P
.PD
.P
.SS Function OKit_FltpAlloc

.PD 0
.I OKit_Fltp OKit_FltpAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpCopy

.PD 0
.I OKit_Fltp OKit_FltpCopy(OKit_Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpClone

.PD 0
.I OKit_Fltp OKit_FltpClone(OKit_Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpNew

.PD 0
.I OKit_Fltp OKit_FltpNew(double nb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ nb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpWrap

.PD 0
.I OKit_Object OKit_FltpWrap(OKit_Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpOut

.PD 0
.I unsigned long OKit_FltpOut(OKit_Fltp fp, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_FltpEqual

.PD 0
.I unsigned char OKit_FltpEqual(OKit_Fltp fp, OKit_Fltp fpw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.TP 12 
.I
_ fpw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgAlloc

.PD 0
.I OKit_Strg OKit_StrgAlloc(unsigned long size) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ size
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgCopy

.PD 0
.I OKit_Strg OKit_StrgCopy(OKit_Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgClone

.PD 0
.I OKit_Strg OKit_StrgClone(OKit_Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgFree

.PD 0
.I void OKit_StrgFree(OKit_Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgNew

.PD 0
.I OKit_Strg OKit_StrgNew(char * str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgWrap

.PD 0
.I OKit_Object OKit_StrgWrap(OKit_Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgLen

.PD 0
.I unsigned long OKit_StrgLen(OKit_Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgCat

.PD 0
.I OKit_Strg OKit_StrgCat(OKit_Strg str1, OKit_Strg str2) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str1
	
.TP 12 
.I
_ str2
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgCut

.PD 0
.I OKit_Strg OKit_StrgCut(OKit_Strg str, unsigned long beg, unsigned long end) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ beg
	
.TP 12 
.I
_ end
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgOut

.PD 0
.I unsigned long OKit_StrgOut(OKit_Strg str, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgEqual

.PD 0
.I unsigned char OKit_StrgEqual(OKit_Strg str, OKit_Strg strw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ strw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StrgCharString

.PD 0
.I unsigned long OKit_StrgCharString(OKit_Strg str, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListAlloc

.PD 0
.I OKit_List OKit_ListAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListAllocBlock

.PD 0
.I OKit_List OKit_ListAllocBlock(unsigned long numb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ numb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListCopy

.PD 0
.I OKit_List OKit_ListCopy(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListClone

.PD 0
.I OKit_List OKit_ListClone(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListDup

.PD 0
.I OKit_List OKit_ListDup(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListDrop

.PD 0
.I OKit_List OKit_ListDrop(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListFree

.PD 0
.I void OKit_ListFree(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListNew

.PD 0
.I OKit_List OKit_ListNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListWrap

.PD 0
.I OKit_Object OKit_ListWrap(OKit_List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListLen

.PD 0
.I unsigned long OKit_ListLen(OKit_List lst) ;
.P
.PD 0.PD 0
.P
.PD
Returns the length of a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListGet

.PD 0
.I OKit_Object OKit_ListGet(OKit_List lst, unsigned long pos) ;
.P
.PD 0.PD 0
.P
.PD
Gets an object by its position in a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListPut

.PD 0
.I OKit_Object OKit_ListPut(OKit_List lst, unsigned long pos, OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Puts an object by its position in a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListDel

.PD 0
.I OKit_List OKit_ListDel(OKit_List lst, unsigned long beg, unsigned long end) ;
.P
.PD 0.PD 0
.P
.PD
Deletes the objects in positions [beg,end[ in a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ beg
	
.TP 12 
.I
_ end
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListIns

.PD 0
.I OKit_List OKit_ListIns(OKit_List lst, unsigned long pos, OKit_List lsi) ;
.P
.PD 0.PD 0
.P
.PD
Inserts the objects of the second OKit_List in the first, between the pos-1-th and the pos-th objects.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.TP 12 
.I
_ lsi
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
To prevent internal structures and memory corruption, lsi is empty after successfull
insertion.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListPush

.PD 0
.I OKit_List OKit_ListPush(OKit_List lst, OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Adds an object at the end of a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListPop

.PD 0
.I OKit_Object OKit_ListPop(OKit_List lst) ;
.P
.PD 0.PD 0
.P
.PD
Retrives an object at the end of a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListUnshift

.PD 0
.I OKit_List OKit_ListUnshift(OKit_List lst, OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Adds an object at the beginning of a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListShift

.PD 0
.I OKit_Object OKit_ListShift(OKit_List lst) ;
.P
.PD 0.PD 0
.P
.PD
Retrives an object at the beginning of a OKit_List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListRail

.PD 0
.I unsigned long OKit_ListRail(OKit_List lst, unsigned long (* doit)(OKit_Object, unsigned long, void *), void * data) ;
.P
.PD 0.PD 0
.P
.PD
Executes a function on all objects of a OKit_List, totalizing the return values.

.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occured
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_List was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListSort

.PD 0
.I OKit_List OKit_ListSort(OKit_List lst, char (* cmp)(OKit_Object, OKit_Object)) ;
.P
.PD 0.PD 0
.P
.PD
Sorts a OKit_List, using the provided OKit_Object comparison function

.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if some error occured
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_List was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListOut

.PD 0
.I unsigned long OKit_ListOut(OKit_List lst, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListEqual

.PD 0
.I unsigned char OKit_ListEqual(OKit_List lst, OKit_List lstw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ lstw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeAlloc

.PD 0
.I OKit_Code OKit_CodeAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeCopy

.PD 0
.I OKit_Code OKit_CodeCopy(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeClone

.PD 0
.I OKit_Code OKit_CodeClone(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeDup

.PD 0
.I OKit_Code OKit_CodeDup(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeDrop

.PD 0
.I OKit_Code OKit_CodeDrop(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeFree

.PD 0
.I void OKit_CodeFree(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeNew

.PD 0
.I OKit_Code OKit_CodeNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeWrap

.PD 0
.I OKit_Object OKit_CodeWrap(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeArgC

.PD 0
.I unsigned char OKit_CodeArgC(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeArgT

.PD 0
.I unsigned short OKit_CodeArgT(OKit_Code cod, unsigned char argn) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argn
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeRetC

.PD 0
.I unsigned char OKit_CodeRetC(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeSetArgC

.PD 0
.I unsigned char OKit_CodeSetArgC(OKit_Code cod, unsigned char argc) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argc
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeSetArgT

.PD 0
.I unsigned short OKit_CodeSetArgT(OKit_Code cod, unsigned char argn, OKit_Type argt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argn
	
.TP 12 
.I
_ argt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeSetArgT

.PD 0
.I unsigned char OKit_CodeSetArgC(OKit_Code cod, unsigned char retc) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ retc
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeName

.PD 0
.I char * OKit_CodeName(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeOKit_StrgName

.PD 0
.I OKit_Strg OKit_CodeOKit_StrgName(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeGetFunc

.PD 0
.I void * OKit_CodeGetFunc(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeGetData

.PD 0
.I OKit_Object OKit_CodeGetData(OKit_Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeSetFunc

.PD 0
.I void * OKit_CodeSetFunc(OKit_Code cod, void * func) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ func
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeSetData

.PD 0
.I OKit_Object OKit_CodeSetData(OKit_Code cod, OKit_Object data) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ data
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeOut

.PD 0
.I unsigned long OKit_CodeOut(OKit_Code cod, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_CodeEqual

.PD 0
.I unsigned char OKit_CodeEqual(OKit_Code cod, OKit_Code codw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ codw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnAlloc

.PD 0
.I OKit_Bltn OKit_BltnAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnCopy

.PD 0
.I OKit_Bltn OKit_BltnCopy(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnClone

.PD 0
.I OKit_Bltn OKit_BltnClone(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnFree

.PD 0
.I void OKit_BltnFree(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnNew

.PD 0
.I OKit_Bltn OKit_BltnNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnWrap

.PD 0
.I OKit_Object OKit_BltnWrap(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnArgC

.PD 0
.I unsigned char OKit_BltnArgC(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnArgT

.PD 0
.I unsigned short OKit_BltnArgT(OKit_Bltn blt, unsigned char argn) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ argn
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnName

.PD 0
.I OKit_Strg OKit_BltnName(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnFunc

.PD 0
.I void * OKit_BltnFunc(OKit_Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnOut

.PD 0
.I unsigned long OKit_BltnOut(OKit_Bltn blt, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnEqual

.PD 0
.I unsigned char OKit_BltnEqual(OKit_Bltn blt, OKit_Bltn bltw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ bltw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
