.TH OKit_ParseMod 3 "October 2001" Unix Libraries
.SH NAME
 OKit_ParseMod -  Parsing  module  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH OKit_Bltn table query
.PD 1
.P
.PD
.P
.SS Function OKit_BltnSort

.PD 0
.I OKit_Bltn * OKit_BltnSort(OKit_Bltn * table, unsigned long tablesize) ;
.P
.PD 0.PD 0
.P
.PD
Sorts lexically a table of OKit_Bltn definitions.

.B
	Args:
.RS
.TP 12 
.I
_ table
	table of OKit_Bltn definitions
.TP 12 
.I
_ tablesize
	size of OKit_Bltn table
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the table was NULL or empty
.RE
.RS
.IP "" 0
else the table, after sorting.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_BltnByName

.PD 0
.I OKit_Bltn OKit_BltnByName(OKit_Bltn * table, unsigned long tablesize, char * str) ;
.P
.PD 0.PD 0
.P
.PD
Retrives a built-in executable by its name.

.B
	Args:
.RS
.TP 12 
.I
_ table
	table of OKit_Bltn definitions
.TP 12 
.I
_ tablesize
	size of OKit_Bltn table
.TP 12 
.I
_ str
	string to lookup in the table
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the built-in was not found
.RE
.RS
.IP "" 0
else the built-in whose name is 'str'.
.RE
.PD 1
.P
.PD
.B
	NOTE:
.RS
.IP "" 0
The built-in table must be sorted lexically by name entries. If not, results
are unpredictable.
.RE
.PD 1
.P
.PD

.SH Parsing
.PD 1
.P
.PD
.P
.SS Function OKit_ObjectParse

.PD 0
.I OKit_Object OKit_ObjectParse(OKit_Bltn * table, unsigned long tablesize, char * str, unsigned long * off) ;
.P
.PD 0.PD 0
.P
.PD
Parses the next token in a string.

.B
	Args:
.RS
.TP 12 
.I
_ table
	table of OKit_Bltn definitions
.TP 12 
.I
_ tablesize
	size of OKit_Bltn table
.TP 12 
.I
_ str
	string to parse
.TP 12 
.I
_ off
	offset pointer in the string indicating where to begin (or NULL)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a syntax error occurred or the end of the string was reached
.RE
.RS
.IP "" 0
else the next parsed OKit_Object.
.RE
.PD 1
.P
.PD
.B
	NOTE:
.RS
.IP "" 0
The built-in table must be sorted lexically by name entries. If not, results
are unpredictable.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_ListParse

.PD 0
.I OKit_List OKit_ListParse(OKit_Bltn * table, unsigned long tablesize, char * str, unsigned long * off) ;
.P
.PD 0.PD 0
.P
.PD
Parses a string into a OKit_List of OKit_Objects.

.B
	Args:
.RS
.TP 12 
.I
_ table
	table of OKit_Bltn definitions
.TP 12 
.I
_ tablesize
	size of OKit_Bltn table
.TP 12 
.I
_ str
	string to parse
.TP 12 
.I
_ off
	offset pointer in the string indicating where to begin (or NULL)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a syntax error occurred, or no object was found
.RE
.RS
.IP "" 0
else a OKit_List of all recognised OKit_Objects.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a syntax error occurred
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.B
	NOTE:
.RS
.IP "" 0
The built-in table must be sorted lexically by name entries. If not, results
are unpredictable.
.RE
.PD 1
.P
.PD
