.TH OKit_SysTypes 3 "October 2001" Unix Libraries
.SH NAME
 OKit_SysTypes -  System Types  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH OKit_Stack definition
.PD 1
.P
.PD
.P
.SS Function OKit_StackAlloc

.PD 0
.I OKit_Stack OKit_StackAlloc(unsigned long chksz) ;
.P
.PD 0.PD 0
.P
.PD
Allocates a new, empty OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ chksz
	buffer size increment
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else the newly allocated OKit_Stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackFree

.PD 0
.I void OKit_StackFree(OKit_Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Frees a OKit_Stack, dereferences and frees its contents.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack to free
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackDepth

.PD 0
.I unsigned long OKit_StackDepth(OKit_Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Returns the depth (number of elements) of a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack we want to get information about
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL OKit_Stack was passed as argument
.RE
.RS
.IP "" 0
else the OKit_Stack's depth.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackPush

.PD 0
.I unsigned long OKit_StackPush(OKit_Stack stk, OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Pushes and references an OKit_Object onto a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack
.TP 12 
.I
_ obj
	OKit_Object to push
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.IP "" 0
else the new depth of the OKit_Stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack or OKit_Object was passed as argument
.TP 12 
.I
_ EACCES
	if the OKit_Stack was freezed and consequently cannot receive OKit_Objects
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackPop

.PD 0
.I OKit_Object OKit_StackPop(OKit_Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Pops and dereferences an OKit_Object from a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	non-empty OKit_Stack
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the OKit_Stack was NULL, empty or freezed
.RE
.RS
.IP "" 0
else the object popped from the stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack was passed as argument
.TP 12 
.I
_ EACCES
	if the OKit_Stack was freezed and consequently cannot yield OKit_Objects
.TP 12 
.I
_ ENOMEM
	if a memory disallocation failed (non-fatal error)
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackGet

.PD 0
.I OKit_Object OKit_StackGet(OKit_Stack stk, unsigned long num) ;
.P
.PD 0.PD 0
.P
.PD
Gets an OKit_Object at a specified level of a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	non-empty OKit_Stack
.TP 12 
.I
_ num
	level at which to look for an object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the OKit_Stack was NULL, or the level invalid
.RE
.RS
.IP "" 0
else the object at level 'num' of the OKit_Stack (first level is 1).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL or empty OKit_Stack was passed as argument, or the level was invalid
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackPut

.PD 0
.I OKit_Object OKit_StackPut(OKit_Stack stk, OKit_Object obj, unsigned long num) ;
.P
.PD 0.PD 0
.P
.PD
Puts an OKit_Object at a specified level of a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack
.TP 12 
.I
_ obj
	OKit_Object to put
.TP 12 
.I
_ num
	level at which to put an object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the OKit_Stack was NULL, or the level invalid
.RE
.RS
.IP "" 0
else the old object at the specified level of the OKit_Stack (first level is 1).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack or OKit_Object was passed as argument, or the level was invalid
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackChkType

.PD 0
.I unsigned long OKit_StackChkType(OKit_Stack stk, unsigned long argc, OKit_Type * argt) ;
.P
.PD 0.PD 0
.P
.PD
Checks the types of OKit_Objects on a OKit_Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack
.TP 12 
.I
_ argc
	number of OKit_Objects to check
.TP 12 
.I
_ argt
	types of OKit_Objects to check (or-ed types of admissible objects, level by level)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the OKit_Stack was NULL or there was not enough OKit_Objects on OKit_Stack
.RE
.RS
.IP "" 0
else an error flag (0 if all arguments were OK, every bit standing as an individual
error flag for each level).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackOut

.PD 0
.I unsigned long OKit_StackOut(OKit_Stack stk, char * out, unsigned long max, char * head, char * rowfmt, char * tail, unsigned long rows) ;
.P
.PD 0.PD 0
.P
.PD
Prints the contents of a OKit_Stack, following the given formats.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack
.TP 12 
.I
_ out
	output character string
.TP 12 
.I
_ max
	maximum number of characters to print (final nil char EXCEPTED)
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the OKit_Stack was NULL
.RE
.RS
.IP "" 0
else the number of characters printed.
or the total number of characters that should be printed, if 'out' was NULL.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_Stack was passed as argument
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
The row format string is printed for each stack row between 0 and rows-1.
Escape sequences take the form %fdd..dd?, where the 'f' char is an optionnal
fill character (by dfault ' '), 'd' chars are digits and '?' denotes either
the 'n' or 's' characters. They are replaced by the stack row number, for the 'n'
format, and the corresponding object, for the 's' format, each written on
the number of chars denoted by the digits.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_StackStat

.PD 0
.I unsigned long OKit_StackStat(OKit_Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Prints OKit_Stack statistics on 'stdout'.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	OKit_Stack
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the OKit_Stack was NULL
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.IP "" 0
any error generated by the 'printf' libc call.
.RE
.PD 1
.P
.PD

.SH Variables domain definition
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceAlloc

.PD 0
.I OKit_NameSpace OKit_NameSpaceAlloc(unsigned long chksz) ;
.P
.PD 0.PD 0
.P
.PD
Allocates an empty OKit_NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ chksz
	buffer size increment
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else the newly allocated OKit_NameSpace.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceFree

.PD 0
.I void OKit_NameSpaceFree(OKit_NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
Frees a OKit_NameSpace, dereferences and frees its contents.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace to free
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceGet

.PD 0
.I OKit_Object OKit_NameSpaceGet(OKit_NameSpace nms, char * name) ;
.P
.PD 0.PD 0
.P
.PD
Gets an elements by its key in a OKit_NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.TP 12 
.I
_ name
	key, or "OKit_Object name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_NameSpace or name was passed as argument, or no OKit_Object was known by this key
.RE
.RS
.IP "" 0
else the OKit_Object under name 'name'.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_NameSpace or name was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceSet

.PD 0
.I OKit_Object OKit_NameSpaceSet(OKit_NameSpace nms, char * name, OKit_Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Sets and references an OKit_Object under a key in a OKit_NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.TP 12 
.I
_ name
	key, or "OKit_Object name"
.TP 12 
.I
_ obj
	OKit_Object to set under its "name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if some error occurred
.RE
.RS
.IP "" 0
else the old OKit_Object under this key, if it existed (and it is then dereferenced)
or the OKit_Object passed as argument.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_NameSpace, name or OKit_Object was passed as argument
.TP 12 
.I
_ EACCES
	if the OKit_NameSpace was freezed and consequently cannot receive OKit_Objects
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceDel

.PD 0
.I OKit_Object OKit_NameSpaceDel(OKit_NameSpace nms, char * name) ;
.P
.PD 0.PD 0
.P
.PD
Deletes a key and dereferences its contents in a OKit_NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.TP 12 
.I
_ name
	key, or "OKit_Object name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_NameSpace or name was passed as argument,
.RE
.RS
.IP "" 0
or the key was not found
else the OKit_Object under name 'name'.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_NameSpace or name was passed as argument
.TP 12 
.I
_ EACCES
	if the OKit_NameSpace was freezed and consequently cannot yield OKit_Objects
.TP 12 
.I
_ ENOMEM
	if a disallocation failed (non-fatal error)
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceOKit_List

.PD 0
.I OKit_List OKit_NameSpaceOKit_List(OKit_NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
OKit_Lists all the names in a OKit_NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL OKit_NameSpace was passed as argument, or the OKit_List allocation failed
.RE
.RS
.IP "" 0
else the OKit_List of all names in nms.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_NameSpace or name was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceOut

.PD 0
.I unsigned long OKit_NameSpaceOut(OKit_NameSpace nms, char * out, unsigned long max, char * head, char * rowfmt, char * tail) ;
.P
.PD 0.PD 0
.P
.PD
Prints a OKit_NameSpace keys and contents, acording to formats.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.TP 12 
.I
_ out
	output character string
.TP 12 
.I
_ max
	maximum number of characters to print (final nil char EXCEPTED)
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the OKit_Stack was NULL
.RE
.RS
.IP "" 0
else the number of characters printed.
or the total number of characters that should be printed, if 'out' was NULL.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL OKit_NameSpace was passed as argument
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
The row format string is printed for each name entry in the OKit_NameSpace.
Escape sequences take the form %fdd..dd?, where the 'f' char is an optionnal
fill character (by dfault ' '), 'd' chars are digits and '?' denotes either
the 'n' or 's' characters. They are replaced by the entry name, for the 'n'
format, and the corresponding object, for the 's' format, each written on
the number of chars denoted by the digits.
.RE
.PD 1
.P
.PD
.P
.SS Function OKit_NameSpaceStat

.PD 0
.I unsigned long OKit_NameSpaceStat(OKit_NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
Prints OKit_NameSpace statistics on 'stdout'.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	OKit_NameSpace
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the OKit_NameSpace was NULL
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.IP "" 0
any error generated by the 'printf' libc call.
.RE
.PD 1
.P
.PD
